using Microsoft.Extensions.DependencyInjection;
using NPin.Framework.AuditLogging.Domain;
using NPin.Framework.AuditLogging.Domain.Repositories;
using NPin.Framework.AuditLogging.SqlSugarCore.Repositories;
using NPin.Framework.SqlSugarCore;
using Volo.Abp.Modularity;

namespace NPin.Framework.AuditLogging.SqlSugarCore;

[DependsOn(
    typeof(NPinFrameworkAuditLoggingDomainModule),
    typeof(NPinFrameworkSqlSugarCoreModule)
)]
public class NPinFrameworkAuditLoggingSqlSugarCoreModule : AbpModule
{
    public override void ConfigureServices(ServiceConfigurationContext context)
    {
        context.Services.AddTransient<IAuditLogRepository, AuditLogRepository>();
    }
}